PROC SQL ;
	CREATE TABLE work.stats AS
		SELECT type,
			   MEAN(conso_auto) AS moyenne,
			   MEAN(conso_auto)-2*STD(conso_auto) AS inf,
			   MEAN(conso_auto)+2*STD(conso_auto) AS sup
		FROM livre.voitures
		GROUP BY type
	;
QUIT ;
ODS PDF FILE = "c:\temp\byte.pdf" NOTOC ;
PROC TABULATE DATA = work.stats F = NUMX12.2 ;
	CLASS type ;
	VAR moyenne inf sup ;
	TABLE type="",
		  moyenne="Conso autoroute moyenne"*SUM=""
		  SUM="Moyenne %SYSFUNC(BYTE(0177)) 2 carts-types"*(inf="" sup="") ;
RUN ;
ODS PDF CLOSE ;
	
