PROC FORMAT ;
  VALUE $us
    "0" = "Etrangre"
    "1" = "Amricaine"
  ;
RUN ;
PROC REPORT DATA = livre.voitures NOWD ;
  COLUMNS type americaine (conso_ville poids),(MEAN MEDIAN) ;
  DEFINE type / GROUP ;
  DEFINE americaine / GROUP "Marque" FORMAT=$us. ;
  DEFINE MEAN / "Moyenne" FORMAT=6.2 ;
  DEFINE MEDIAN / "Mdiane" FORMAT=6.2 ;
  RBREAK BEFORE / SUMMARIZE ;
  BREAK AFTER type / SUMMARIZE ;
RUN ;
