PROC REPORT DATA = livre.voitures NOWD ;
	COLUMNS type poids puissance rpp ;
	DEFINE type / GROUP ;
	DEFINE poids / ANALYSIS MEAN "Poids du vhicule (kg)" FORMAT=5. ;
	DEFINE puissance / ANALYSIS MEAN FORMAT=6.1;
	DEFINE rpp / COMPUTED "Rapport poids/puissance" FORMAT=5.2 ;
	COMPUTE poids ;
		poids.mean = poids.mean * 1000 ;
	ENDCOMP ;
	COMPUTE rpp ;
		rpp = poids.mean / puissance.mean ;
	ENDCOMP ;
RUN ;
