/* calcul des statistiques par type de vhicule */
ODS OUTPUT summary = work.stats ;
PROC MEANS DATA = livre.voitures MEAN ;
	VAR conso_: ;
	CLASS type ;
RUN ;
/* jointure avec les donnes pour le graphique */
PROC SORT DATA = livre.voitures OUT = work.voitures ;
	BY type ;
RUN ;
DATA work.voitures ;
	MERGE work.voitures 
		  work.stats ;
	BY type ;
	LENGTH bulle $ 200 ; /* prvoir une longueur importante */
	bulle = 'TITLE="Conso moyenne...'!!"0A"x!! /* "0A"x = retour  la ligne */
               "ville : "    !!PUT(conso_ville_mean, NUMX6.1)!!" L/100 km"!!"0A"x!!
			   "autoroute : "!!PUT(conso_auto_mean , NUMX6.1)!!' L/100 km"' ;
	bulle = COMPBL(bulle) ; /* limination des blancs inutiles */
RUN ;
ODS HTML FILE="c:\temp\infobulles.htm" ;
PROC GCHART DATA=work.voitures ;
	PIE3D type / TYPE=PERCENT EXPLODE="Familiale" HTML=bulle ;
RUN ; QUIT ;
ODS HTML CLOSE ;
