ODS OUTPUT eigenVectors = work.planFactoriel ;
PROC PRINCOMP DATA = livre.voitures ;
	VAR longueur poids cylindree puissance vol_coffre ;
RUN ;
DATA work.decoration ;
	SET work.planFactoriel ;
	xsys = "2" ; ysys = "2" ; when = "A" ;
	IF _N_=1 THEN DO ; /* trac du "cercle" des corrlations */
		x = 1 ; y = 0 ; function = "MOVE " ;
		OUTPUT ;
		function = "DRAW " ;
		DO angle = 0 TO 2*3.14 BY 0.04 ;
			x = COS(angle) ; y = SIN(angle) ;
			OUTPUT ;
		END ;
	END ;
	x = 0 ; y = 0 ; function = "MOVE " ;
	OUTPUT ;
	x = prin1 ; y = prin2 ; function = "DRAW " ;
	OUTPUT ; /* trac des vecteurs */
	function = "LABEL" ; text = variable ; position = "6" ;
	OUTPUT ; /* ajout des labels (noms des variables en bout de flches) */
RUN ;
SYMBOL i = none v = triangle ;
AXIS1 ORDER=(-1 TO 1 BY 0.5) ;
PROC GPLOT DATA = work.planFactoriel ;
	PLOT prin2 * prin1 / HREF=0 HAXIS=axis1 
	                     VREF=0 VAXIS=axis1 
	                     ANNOTATE=work.decoration ;
RUN ; QUIT ;
