PROC TEMPLATE ;
  DEFINE TABLE listeVoitures ;
    DYNAMIC nb ;
    COLUMN voiture conso_ville conso_auto puissance poids 
          (prix_min prix_max) ;
    DEFINE HEADER global ;
      TEXT "Liste de " nb 3. " modles disponibles aux USA en 1993" ;
    END ;
    DEFINE HEADER conso ;
      START = conso_ville ;
      END   = conso_auto ;
      TEXT "Consommation (L/100 km)" ;
    END ;
    DEFINE COLUMN prix_min ;
      HEADER = "Prix en francs (min et max)" ;
    END ;
  END ;
RUN ;
DATA _NULL_ ;
  SET livre.voitures NOBS=nbObs ;
  FILE PRINT ODS=(TEMPLATE="listeVoitures" DYNAMIC=(nb=nbObs)) ;
  voiture = CATX(" ",constructeur,modele) ;
  LABEL conso_ville="en ville" conso_auto="sur autoroute" voiture="Modle" ;
  FORMAT prix_ : NLNUM12. ;
  PUT _ODS_ ;
RUN ;
