PROC FORMAT ;
   PICTURE milliers 
     LOW -< 0 = "000 000 009,99" (DECSEP  = ","  DIG3SEP = " "
                                  PREFIX  = "- ") 
     0 - HIGH = "000 000 009,99" (DECSEP  = "," DIG3SEP = " ") 
   ;
   PICTURE kEuros (ROUND)
	0 - HIGH = "000 009,99 k" (MULT=%SYSEVALF(0.1/6.55957) ROUND) 
   ;
RUN ;
ODS PDF FILE = "c:\temp\picture 1.pdf" ;
PROC SQL OUTOBS=10 ;
	SELECT constructeur,
		   modele,
           prix_max LABEL="Prix le + lev en FF" FORMAT = milliers.,
		   prix_max LABEL="Prix le + lev" FORMAT=kEuros.
	FROM livre.voitures 
	;
QUIT ;
ODS PDF CLOSE ;
