PROC FORMAT ;
   VALUE $pays "1" = "Made in USA" "0" = "Made in Reste du monde" ;
RUN ;
PROC TABULATE DATA = livre.voitures ;
	CLASS transmission americaine ;
	VAR ventes ;
	FORMAT americaine $pays. ;
	TABLE (americaine="" ALL="TOTAL"),
		  ventes=""*(SUM="Total" PCTSUM="% du total") /
		  BOX="Ventes annuelles" ;
RUN ;
