PROC SORT DATA = livre.voitures OUT = work.voitures ;
  BY type ;
RUN ;
PROC KDE DATA = work.voitures ;
  UNIVAR cylindree / OUT = work.densites ;
  BY type ;
RUN ;
/* syntaxe de SAS version 8
PROC KDE DATA = work.voitures OUT = work.densites ;
  VAR cylindree ;
  BY type ;
RUN ;
*/
SYMBOL i = join v = none ;
PROC GPLOT DATA = work.densites ;
  PLOT density * value = type ;
RUN ; QUIT ; 
