ODS OUTPUT summary = work.stats ;
PROC MEANS DATA = livre.voitures MEAN ;
	VAR conso_ville ;
	CLASS type ;
RUN ;
DATA work.stats ;
	SET work.stats ;
	xsys = "2" ; ysys = "2" ;
	when = "A" ; function = "LABEL" ;
	xc = type ; y = conso_ville_mean ; /* coordonnes */
	text = COMPRESS(nobs)!!" modles" ; color= "white" ;
	position = "8" ; /* lgrement sous le point (Xc, Y), centr */
RUN ;
AXIS1 LABEL=(ANGLE=90) ;
PROC GCHART DATA = livre.voitures ;
	VBAR type / SUMVAR=conso_ville TYPE=MEAN RAXIS=axis1 
	            ANNOTATE=work.stats ;
RUN ; QUIT ;
