PROC TEMPLATE ;
  DEFINE STATGRAPH exemples.boxplot ;
    DYNAMIC varY varGpe id ;
    LAYOUT GRIDDED ;
      BOXPLOT Y=varY X=varGpe / DATALABEL=id ;
    ENDLAYOUT ;
  END ;
RUN ;
PROC SORT DATA = livre.voitures OUT = work.voitures ;
	BY americaine ;
RUN ;
ODS HTML GPATH="c:\temp" ;
DATA _NULL_ ;
  SET work.voitures ;
  nom = CATX(" ",constructeur, modele) ;
  rpp = poids * 1000 / puissance ;
  LABEL rpp = "Rapport poids / puissance du vhicule (kg/cv)" ;
  FILE PRINT ODS=(TEMPLATE="exemples.boxplot"
                   DYNAMIC=(varY="rpp" varGpe="americaine" id="nom")) ;
  PUT _ODS_ ;
RUN ;
ODS HTML CLOSE ;
