PROC TEMPLATE ;
	DEFINE STATGRAPH mesGraphs.acp ;
		LAYOUT OVERLAY / XGRID=TRUE YGRID=TRUE  
						 XAXISOPTS=(LABEL="Axe n1" TICKS=(-1 0 1))
						 YAXISOPTS=(LABEL="Axe n2" TICKS=(-1 0 1)) ;
			VECTORPLOT X=prin1 Y=prin2 / DATALABEL=variable XMIN=-1 XMAX=1 YMIN=-1 YMAX=1 ;
			ELLIPSEPARM SEMIMAJOR=1 SEMIMINOR=1 SLOPE=0 / LINEPATTERN=DASH; 
		ENDLAYOUT ;
	END ;
RUN ;
ODS OUTPUT eigenVectors = work.vp ;
PROC PRINCOMP DATA = livre.voitures ;
  VAR puissance poids conso_auto conso_ville longueur ;
RUN ;
DATA _NULL_ ;
	SET work.vp ;
	FILE PRINT ODS=(TEMPLATE="mesGraphs.acp") ;
	PUT _ODS_ ;
RUN ;
