DATA work.reperes ;
	DO poids = 750 TO 2000 BY 250 ;
		sportive = poids / 6 ;
		nerveuse = poids / 10 ;
		OUTPUT ;
	END ;
RUN ;
DATA work.voitures ;
	SET livre.voitures (IN=donnees) work.reperes ;
	IF donnees THEN poids = poids * 1000 ;
	LABEL poids = "Poids (kg)" ;
RUN ;
ODS GRAPHICS ON / IMAGEFMT=GIF ;
ODS HTML GPATH="c:\temp" ;
PROC SGPLOT DATA=work.voitures NOAUTOLEGEND ;
  BAND X=poids LOWER=sportive UPPER=300
            / FILLATTRS=(COLOR="WHITE")
              LEGENDLABEL="Sportive" NAME="bande1" ;
    BAND X=poids LOWER=nerveuse UPPER=sportive 
            / FILLATTRS=(COLOR="GRAY90")
              LEGENDLABEL="Nerveuse" NAME="bande2" ;
  BAND X=poids LOWER=0 UPPER=nerveuse 
            / FILLATTRS=(COLOR="GRAYC0")
              LEGENDLABEL="Normale" NAME="bande3" ;
  SCATTER Y=puissance X=poids / DATALABEL=modele ;
  KEYLEGEND "bande1" "bande2" "bande3" ;
RUN ;
ODS HTML CLOSE ;
