PROC SQL NOPRINT ;
  SELECT MEAN(conso_ville < 10),    MEAN(conso_ville)
    INTO : pct_eco_ville,           : moy_ville
  FROM livre.voitures
  ;
QUIT ;
GOPTION DEVICE=JAVAIMG ;
ODS PDF COLUMNS=5 ;
PROC GKPI MODE=RAISED ;
  SPEEDOMETER ACTUAL=&pct_eco_ville 
              BOUNDS=(0 .40 .60 1) / TARGET=.75  
              LFONT=(F="Arial") LABEL="% de voitures conomiques en ville"    
              FORMAT="PERCENT8.0" ;
RUN ; QUIT ;
PROC GKPI MODE=RAISED ;
  VSLIDER ACTUAL=&moy_ville 
          BOUNDS=(0 5 10 15 20) /
		  COLORS=(GREEN ORANGE YELLOW RED)
          LABEL="Conso moyenne en ville (L/100 km)" 
          FORMAT="NUMX12.2" ;
RUN ; QUIT ;
GOPTIONS RESET=ALL ;
 
ODS PDF CLOSE ;
